Aria: ArCameraCommands Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArCameraCommands Class Reference

`#include <ArCameraCommands.h>`

List of all members.

## Detailed Description

Commands that are supported by the camera (ArPTZ) and video classes.

ArCameraCommands defines the commands that are commonly supported by the Aria camera and video classes. The commands that are actually supported for a particular camera are specified in the ArCameraCollection.

There are basically two classes of commands:

1. Double Format Commands: These commands use the new double interface to the Aria camera classes. They are generally preferred for future development since they provide finer control over the camera movements. In addition, only these commands will work correctly in a multi-camera configuration.

2. Integer Format Commands: These commands are maintained for backwards compatibility. They will not work correctly in a multi-camera configuration. (Only the first camera will be used.)

## Static Public Attributes
static const char * | CAMERA_MODE_UPDATED
| A packet that gets sent out when the mode is changed.
static const char * | GET_CAMERA_DATA
| Returns the current pan/tilt/zoom of the camera (in double format).
static const char * | GET_CAMERA_DATA_INT
| Returns the current pan/tilt/zoom of the camera (as byte2 integers).
static const char * | GET_CAMERA_INFO
| Returns general information about the camera (in double format).
static const char * | GET_CAMERA_INFO_INT
| Returns general information about the camera (as byte2 integers).
static const char * | GET_CAMERA_MODE_LIST
| Sends a packet back with the list of modes.
static const char * | GET_DISPLAY
| Returns whether the camera/image should be displayed by the client.
static const char * | GET_PICTURE
| Returns the last image obtained from the camera.
static const char * | GET_PICTURE_OPTIM
| Returns the last image obtained from the camera.
static const char * | GET_SNAPSHOT
| Returns a high resolution image from the camera, suitable for saving.
static const char * | GET_SNAPSHOT_PLAIN
static const char * | GET_VIDEO
static const char * | RESET_CAMERA
| A command that resets the camera.
static const char * | SET_CAMERA_ABS
| Sends a command to the camera to set its pan/tilt/zoom, in absolute terms (in double format).
static const char * | SET_CAMERA_ABS_INT
| Sends a command to the camera to set its pan/tilt/zoom, in absolute terms (as byte integers).
static const char * | SET_CAMERA_MODE
| A command that sets the mode of the camera.
static const char * | SET_CAMERA_PCT
| Sends a command to the camera to set its pan/tilt, as specified by a percent offset of its current frame.
static const char * | SET_CAMERA_PCT_INT
| Sends a command to the camera to set its pan/tilt, as specified by a percent offset (as byte integers).
static const char * | SET_CAMERA_REL
| Sends a command to the camera to set its pan/tilt/zoom, relative to its current position (in double format).
static const char * | SET_CAMERA_REL_INT
| Sends a command to the camera to set its pan/tilt/zoom, relative to its current position (as byte integers).

## Member Data Documentation

const char* ArCameraCommands::CAMERA_MODE_UPDATED`[static]`

A packet that gets sent out when the mode is changed.

Note that each mode might have arguments after it for just that mode, so only the mode name at the start is generic.

const char* ArCameraCommands::GET_CAMERA_DATA_INT`[static]`

Returns the current pan/tilt/zoom of the camera (as byte2 integers).

Deprecated:
  GET_CAMERA_DATA is preferred instead

const char* ArCameraCommands::GET_CAMERA_INFO`[static]`

Returns general information about the camera (in double format).

General information about the camera includes the pan/tilt/zoom ranges and whether zooming is available. In general, clients need only to request this data once at startup.

const char* ArCameraCommands::GET_CAMERA_INFO_INT`[static]`

Returns general information about the camera (as byte2 integers).

Deprecated:
  GET_CAMERA_INFO is preferred instead

const char* ArCameraCommands::GET_DISPLAY`[static]`

Returns whether the camera/image should be displayed by the client.

This command is not yet fully supported.

const char* ArCameraCommands::GET_SNAPSHOT`[static]`

Returns a high resolution image from the camera, suitable for saving.

This command is not yet fully supported.

const char* ArCameraCommands::GET_SNAPSHOT_PLAIN`[static]`

Deprecated:
  GET_SNAPSHOT is preferred instead

const char* ArCameraCommands::GET_VIDEO`[static]`

Deprecated:
  GET_PICTURE is preferred instead

const char* ArCameraCommands::SET_CAMERA_ABS_INT`[static]`

Sends a command to the camera to set its pan/tilt/zoom, in absolute terms (as byte integers).

Deprecated:
  SET_CAMERA_ABS is preferred instead

const char* ArCameraCommands::SET_CAMERA_MODE`[static]`

A command that sets the mode of the camera.

Note that each mode can have its own arguments so only the mode name at the start is generic.

const char* ArCameraCommands::SET_CAMERA_PCT_INT`[static]`

Sends a command to the camera to set its pan/tilt, as specified by a percent offset (as byte integers).

Deprecated:
  SET_CAMERA_PCT is preferred instead

const char* ArCameraCommands::SET_CAMERA_REL_INT`[static]`

Sends a command to the camera to set its pan/tilt/zoom, relative to its current position (as byte integers).

Deprecated:
  SET_CAMERA_REL is preferred instead

The documentation for this class was generated from the following file:

- ArCameraCommands.h